All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.menubar.html
Interface MenuBarStyleAreaKeysInterface

All Known Implementing Classes:
  BaseHTMLMenuBar, Menu, MenuBar, MenuItem, SelectorMenuBar, SelectorMenuItem

    public interface MenuBarStyleAreaKeysInterface

Style keys used for the MenuBar classes.

See Also:
  `ComplexStyleInterface`, `MenuBar`, `SelectorMenuBar`, `Menu`, `MenuItem`

Field Summary
`static java.lang.String` | `MENU` Style key used for accessing a style used by an enabled menu with no URL.
`static java.lang.String` | `MENU_DISABLED` Style key used for accessing a style used for disabled menu with no URL.
`static java.lang.String` | `MENU_DIVIDER` Style key used for accessing a style used for the menu dividers.
`static java.lang.String` | `MENU_ITEM` Style key used for accessing a style used for enabled menu item.
`static java.lang.String` | `MENU_ITEM_ARROW` Style key used for accessing a style used for menu item arrow styles.
`static java.lang.String` | `MENU_ITEM_CONTAINER` Style key used for accessing a style used for the menu item container.
`static java.lang.String` | `MENU_ITEM_DISABLED` Style key used for accessing a style used for disabled menu item.
`static java.lang.String` | `MENU_ITEM_DIVIDER` Style key used for accessing a style used for menu item dividers.
`static java.lang.String` | `MENU_ITEM_LINK` Style key used for accessing a style used for enabled menu item with URL.
`static java.lang.String` | `MENU_ITEM_LINK_DISABLED` Style key used for accessing a style used for disabled menu item with URL.
`static java.lang.String` | `MENU_LINK` Style key used for accessing a style used for enabled menu with URL.
`static java.lang.String` | `MENU_LINK_DISABLED` Style key used for accessing a style used for disabled menu with URL.
`static java.lang.String` | `MENUBAR_CONTAINER` Style key used for accessing the outer MenuBar container style.

Field Detail

### MENUBAR_CONTAINER

    static final java.lang.String MENUBAR_CONTAINER

  Style key used for accessing the outer MenuBar container style.

  See Also:
    Constant Field Values

### MENU

    static final java.lang.String MENU

  Style key used for accessing a style used by an enabled menu with no URL.

  See Also:
    Constant Field Values

### MENU_DISABLED

    static final java.lang.String MENU_DISABLED

  Style key used for accessing a style used for disabled menu with no URL.

  See Also:
    Constant Field Values

### MENU_LINK

    static final java.lang.String MENU_LINK

  Style key used for accessing a style used for enabled menu with URL.

  See Also:
    Constant Field Values

### MENU_LINK_DISABLED

    static final java.lang.String MENU_LINK_DISABLED

  Style key used for accessing a style used for disabled menu with URL.

  See Also:
    Constant Field Values

### MENU_DIVIDER

    static final java.lang.String MENU_DIVIDER

  Style key used for accessing a style used for the menu dividers.

  See Also:
    Constant Field Values

### MENU_ITEM_CONTAINER

    static final java.lang.String MENU_ITEM_CONTAINER

  Style key used for accessing a style used for the menu item container.

  See Also:
    Constant Field Values

### MENU_ITEM

    static final java.lang.String MENU_ITEM

  Style key used for accessing a style used for enabled menu item.

  See Also:
    Constant Field Values

### MENU_ITEM_DISABLED

    static final java.lang.String MENU_ITEM_DISABLED

  Style key used for accessing a style used for disabled menu item.

  See Also:
    Constant Field Values

### MENU_ITEM_LINK

    static final java.lang.String MENU_ITEM_LINK

  Style key used for accessing a style used for enabled menu item with URL.

  See Also:
    Constant Field Values

### MENU_ITEM_LINK_DISABLED

    static final java.lang.String MENU_ITEM_LINK_DISABLED

  Style key used for accessing a style used for disabled menu item with URL.

  See Also:
    Constant Field Values

### MENU_ITEM_DIVIDER

    static final java.lang.String MENU_ITEM_DIVIDER

  Style key used for accessing a style used for menu item dividers.

  See Also:
    Constant Field Values

### MENU_ITEM_ARROW

    static final java.lang.String MENU_ITEM_ARROW

  Style key used for accessing a style used for menu item arrow styles. This style is used only for menu items with sub-menus.

  See Also:
    Constant Field Values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.